# Generated from arvados-login-sync-2.7.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name arvados-login-sync

Name: rubygem-%{gem_name}
Version: 2.7.2
Release: 1%{?dist}
Summary: Set up local login accounts for Arvados users
License: AGPL-3.0
URL: https://arvados.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
BuildArch: noarch

%description
Creates and updates local login accounts for Arvados users. Built from git
commit b5dad64d1faa5063482db0d33d22805912abdda6.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/arvados-login-sync
%{gem_instdir}/agpl-3.0.txt
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 09 2024 mockbuilder - 2.7.2-1
- Initial package
